com.holonplatform.reactor.http.internal

## Class AbstractReactiveRestClient

- java.lang.Object
- - com.holonplatform.reactor.http.internal.AbstractReactiveRestClient

- All Implemented Interfaces:
    com.holonplatform.http.rest.RestClientOperations<ReactiveRestClient,ReactiveRestClient.ReactiveRequestDefinition>, ReactiveInvoker, ReactiveRestClient
  Direct Known Subclasses:
    WebClientReactiveRestClient

      public abstract class AbstractReactiveRestClient
      extends Object
      implements ReactiveRestClient, ReactiveInvoker

  Abstract `ReactiveRestClient` implementation.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.reactor.http.ReactiveRestClient

      `ReactiveRestClient.ReactiveInvocation, ReactiveRestClient.ReactiveRequestDefinition`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.rest.RestClientOperations

      `com.holonplatform.http.rest.RestClientOperations.InvocationOperations<RE,RP,RS,RL,RU>, com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<R extends com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<R>>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractReactiveRestClient()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReactiveRestClient` | `clearDefaultHeaders()`
    `ReactiveRestClient` | `defaultTarget(URI baseUri)`
    `Optional<URI>` | `getDefaultTarget()`
    `ReactiveRestClient` | `removeDefaultHeader(String name)`
    `ReactiveRestClient.ReactiveRequestDefinition` | `request()`
    `ReactiveRestClient` | `withDefaultHeader(String name, String value)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.reactor.http.ReactiveRestClient

      `create, create, create, create, forTarget, forTarget`

    - ### Methods inherited from interface com.holonplatform.reactor.http.internal.ReactiveInvoker

      `invoke`

- - ### Constructor Detail

    - #### AbstractReactiveRestClient

          public AbstractReactiveRestClient()

  - ### Method Detail

    - #### defaultTarget

          public ReactiveRestClient defaultTarget(URI baseUri)

      Specified by:
        `defaultTarget` in interface `com.holonplatform.http.rest.RestClientOperations<ReactiveRestClient,ReactiveRestClient.ReactiveRequestDefinition>`

    - #### getDefaultTarget

          public Optional<URI> getDefaultTarget()

      Specified by:
        `getDefaultTarget` in interface `com.holonplatform.http.rest.RestClientOperations<ReactiveRestClient,ReactiveRestClient.ReactiveRequestDefinition>`

    - #### withDefaultHeader

          public ReactiveRestClient withDefaultHeader(String name,
                                                      String value)

      Specified by:
        `withDefaultHeader` in interface `com.holonplatform.http.rest.RestClientOperations<ReactiveRestClient,ReactiveRestClient.ReactiveRequestDefinition>`

    - #### removeDefaultHeader

          public ReactiveRestClient removeDefaultHeader(String name)

      Specified by:
        `removeDefaultHeader` in interface `com.holonplatform.http.rest.RestClientOperations<ReactiveRestClient,ReactiveRestClient.ReactiveRequestDefinition>`

    - #### clearDefaultHeaders

          public ReactiveRestClient clearDefaultHeaders()

      Specified by:
        `clearDefaultHeaders` in interface `com.holonplatform.http.rest.RestClientOperations<ReactiveRestClient,ReactiveRestClient.ReactiveRequestDefinition>`

    - #### request

          public ReactiveRestClient.ReactiveRequestDefinition request()

      Specified by:
        `request` in interface `com.holonplatform.http.rest.RestClientOperations<ReactiveRestClient,ReactiveRestClient.ReactiveRequestDefinition>`

Copyright © 2019 The Holon Platform. All rights reserved.